using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace Diagram_WF_NodeFullName
{
    public partial class Form1 : Form
    {
        private SymbolPalette palette = new SymbolPalette();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rec1 = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 50, 50);
            rec1.Name = "myRect";
            Syncfusion.Windows.Forms.Diagram.Rectangle rec2 = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 150, 75);
            Group grp = new Group();
            grp.AppendChild(rec2);
            grp.AppendChild(rec1);

            palette.AppendChild(rec1);
            palette.AppendChild(rec2);
            palette.AppendChild(grp);
            this.paletteGroupView1.LoadPalette(palette);

            this.diagram1.Model.EnableSelectionListSubstitute = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.diagram1.Copy();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.diagram1.Paste();
        }
    }
}
